`timescale 1ns / 1ps

module PixelAdapter(
		InPixel,
		OutPixel
);

input	[15:0]	InPixel;
output	[23:0]	OutPixel;

// RGB split/padding: R5, G6, B5   (until we change DVI color mode to 16-bit)
wire [7:0] Red, Green, Blue;

assign Red = {InPixel[15:11], 3'b000};
assign Green = {InPixel[10:5], 2'b00};
assign Blue = {InPixel[4:0], 3'b000};

assign OutPixel = {Red, Green, Blue};

endmodule
