module ResetControl(
    Clock125,
    Clock50,

    CPUTrigger,
    DVITrigger,

    CPUReset,
    DVIReset
);

input                           Clock125;
input                           Clock50;

input                           CPUTrigger;
input                           DVITrigger;

output                          CPUReset;
output                          DVIReset;

reg         [15:0]              cpuresetshift;
reg         [15:0]              dviresetshift;

assign CPUReset = cpuresetshift[15];
assign DVIReset = dviresetshift[15];

always@(posedge Clock125) begin
    cpuresetshift <= CPUTrigger ? 16'hFFFF : {cpuresetshift[14:0], 1'b0};
end

always@(posedge Clock50) begin
    dviresetshift <= DVITrigger ? 16'hFFFF : {dviresetshift[14:0], 1'b0};
end

endmodule
